Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.nntp
Class NNTPConnectionClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.net.nntp.NNTPConnectionClosedException

All Implemented Interfaces:
  Serializable

public final class NNTPConnectionClosedException
extends IOException

NNTPConnectionClosedException is used to indicate the premature or unexpected closing of an NNTP connection resulting from a `NNTPReply.SERVICE_DISCONTINUED` response (NNTP reply code 400) to a failed NNTP command. This exception is derived from IOException and therefore may be caught either as an IOException or specifically as an NNTPConnectionClosedException.

Author:
  Daniel F. Savarese
See Also:
  `NNTP`, `NNTPClient`, Serialized Form

Constructor Summary
`NNTPConnectionClosedException()` Constructs a NNTPConnectionClosedException with no message
`NNTPConnectionClosedException(String message)` Constructs a NNTPConnectionClosedException with a specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NNTPConnectionClosedException

    public NNTPConnectionClosedException()

  Constructs a NNTPConnectionClosedException with no message

### NNTPConnectionClosedException

    public NNTPConnectionClosedException(String message)

  Constructs a NNTPConnectionClosedException with a specified message.

Parameters:
  `message` - The message explaining the reason for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.